Loading...
Searching...
No Matches
tr_ssh_config Struct Reference
Transport sockets » SSH transport socket

`#include "ssh_transport.h"`

## Data Fields

char * | bindaddr
char * | client_privkey_path
unsigned int | connect_timeout
void * | data
char * | host
int(* | new_socket )(void *data)
char * | password
unsigned int | port
char * | server_hostkey_path
char * | username

## Detailed Description

Parameters

  host | Hostname or IP address to connect to.
  port | Port to connect to.
  bindaddr | Hostname or IP address to connect from. NULL for determination by OS.
  username | Username for authentication.
  server_hostkey_path | Path to public SSH key of the server or NULL to don't verify host authenticity.
  client_privkey_path | Path to private key of the authentication keypair or NULL to use ~/.ssh/id_rsa.
  data | Information to pass to callback function in charge of retrieving socket
  new_socket(void | *opaque_info) callback routine, that Pointer to the function that is called every time a new connection is made. The returned socket is expected to be ready for use (e.g. in state established), and must use a reliably stream-oriented transport. When new_socket() is used, host, port, and bindaddr are not used.
  connect_timeout | Time in seconds to wait for a successful connection. Defaults to RTRLIB_TRANSPORT_CONNECT_TIMEOUT_DEFAULT

Examples
  rtr_mgr.c, and ssh_tr.c.